> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer funds

> Send assets to any address across supported chains. No bridging, no swapping or gas tokens required.



## OpenAPI

````yaml /openapi.json post /wallet/transfer
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /wallet/transfer:
    post:
      tags:
        - Wallet
      summary: Transfer funds
      description: >-
        Send assets to any address across supported chains. No bridging, no
        swapping or gas tokens required.
      operationId: walletTransfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - wallet_id
                - asset
                - recipient
              properties:
                wallet_id:
                  type: string
                  description: Unique identifier for the wallet
                  pattern: ^[a-f0-9]{24}$
                full_balance:
                  type: boolean
                  default: false
                  description: >-
                    Withdraws the full balance of the given wallet to the
                    specified recipient.
                amount:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                  description: >-
                    Amount to send to the specified recipient. Required when
                    full_balance is false.
                asset:
                  $ref: '#/components/schemas/AssetCode'
                recipient:
                  type: string
                  description: Recipient wallet address (EVM or Solana depending on asset)
            examples:
              fixed_amount:
                summary: Transfer fixed amount
                value:
                  wallet_id: 68d4f2a91eb37c15b8e3a4f7
                  amount: 10
                  asset: base:usdc
                  recipient: '0xe316E8aFA91864f5720af31094f114761356b3E0'
              full_balance:
                summary: Transfer full balance
                value:
                  wallet_id: 68d4f2a91eb37c15b8e3a4f7
                  full_balance: true
                  asset: base:usdc
                  recipient: '0xe316E8aFA91864f5720af31094f114761356b3E0'
      responses:
        '200':
          description: Transfer initiated successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: object
                    nullable: true
                    properties:
                      reference:
                        type: string
                        format: uuid
                        nullable: true
                        description: Transaction reference (UUID)
                      transaction_hash:
                        type: string
                        nullable: true
                        description: Blockchain transaction hash
                      explorer_url:
                        type: string
                        format: uri
                        nullable: true
                        description: URL to view transaction on blockchain explorer
                      type:
                        type: string
                        description: Transaction type (e.g. transfer)
                      date:
                        type: string
                        format: date-time
                        nullable: true
                      sender:
                        type: string
                        nullable: true
                      receiver:
                        type: string
                        nullable: true
                      status:
                        type: string
                        enum:
                          - successful
                          - failed
                          - processing
                      fee:
                        type: object
                        nullable: true
                        properties:
                          amount:
                            type: number
                            description: Total fee amount in USD
                          assets:
                            type: array
                            description: Array of asset entries (id and amount)
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Asset ID (e.g. base:usdc)
                                amount:
                                  type: number
                      input:
                        type: object
                        nullable: true
                        description: Input/deposit side of the transaction
                        properties:
                          amount:
                            type: number
                          assets:
                            type: array
                            description: Array of asset entries (id and amount)
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                amount:
                                  type: number
                      output:
                        type: object
                        nullable: true
                        description: Output side of the transaction
                        properties:
                          amount:
                            type: number
                          assets:
                            type: array
                            description: Array of asset entries (id and amount)
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                amount:
                                  type: number
              example:
                success: true
                message: Transfer initiated successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  reference: f891a3c2-5e7d-4b91-8f62-0c4d1e9a7365
                  transaction_hash: >-
                    0xd4c19f2e8a91b06357cef3049821ea47dc33a09ef12c8456f8ab2d9e0c7e51a3
                  explorer_url: >-
                    https://basescan.org/tx/0xd4c19f2e8a91b06357cef3049821ea47dc33a09ef12c8456f8ab2d9e0c7e51a3
                  type: transfer
                  date: '2026-04-18T14:19:41.208Z'
                  status: processing
                  sender: '0x8F3aC91d2B741E59f064E9053a4d2E8F1c0b6D93a'
                  receiver: '0x42c9E1aF8d736B2D094e6590315Dc7a1F947c4B0e'
                  fee:
                    amount: 0.01
                    assets:
                      - id: base:usdc
                        amount: 0.01
                  input:
                    amount: 10
                    assets:
                      - id: base:usdc
                        amount: 10
                  output:
                    amount: 10
                    assets:
                      - id: arbitrum:usdc
                        amount: 10
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  schemas:
    AssetCode:
      type: string
      enum:
        - base:usdc
        - solana:usdc
        - solana:usdt
        - ethereum:usdc
        - ethereum:usdt
        - polygon:usdc
        - polygon:usdt
        - bsc:usdc
        - bsc:usdt
        - arbitrum:usdc
        - optimism:usdc
        - gnosis:usdc
        - gnosis:usdt
        - arbitrum:usdt
        - avalanche:usdc
        - monad:usdc
        - optimism:usdt
        - monad:usdt
        - plasma:usdt
        - avalanche:usdt
        - tron:usdt
        - linea:usdt
        - mantle:usdt
        - hyperevm:usdt
        - berachain:usdt
        - linea:usdc
        - berachain:usdc
        - sonic:usdc
        - base:cngn
        - bsc:cngn
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````